workspace switcher widget shouldn't appear if there is only one workspace

Bug #506944 reported by Rick Spencer on 2010-01-13
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Metacity
Fix Released
Medium
Mutter
Expired
Wishlist
metacity (Ubuntu)
Undecided
Didier Roche
mutter (Ubuntu)
Low
Didier Roche

Bug Description

Binary package hint: mutter

If there is only one workspace active, and I use the key board to switch workspaces, I get a visual indication of the workspace I will be choosing, but there is only one workspace (naturally). I suppose on typically multi-workspace products, this makes sense, but UNE is meant to be a single work space system, so probably shouldn't show this.

ProblemType: Bug
Architecture: i386
Date: Wed Jan 13 14:14:10 2010
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20091209)
NonfreeKernelModules: wl
Package: mutter 2.28.1~git20091208-1ubuntu2
ProcEnviron:
 LANG=C
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-10.14-generic
SourcePackage: mutter
Tags: lucid ubuntu-unr
Uname: Linux 2.6.32-10-generic i686

Changed in mutter (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Didier Roche (didrocks) on 2010-01-14
Changed in mutter (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Didier Roche (didrocks) on 2010-01-14
Changed in mutter (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mutter - 2.28.1~git20091208-1ubuntu3

---------------
mutter (2.28.1~git20091208-1ubuntu3) lucid; urgency=low

  * add debian/patches/10_no-ws-switcher.patch:
    Don't show ws selector when you only have one ws (LP: #506944)
 -- Didier Roche <email address hidden> Thu, 14 Jan 2010 17:03:20 +0100

Changed in mutter (Ubuntu):
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2010-02-10
Changed in metacity (Ubuntu):
status: New → In Progress
assignee: nobody → Didier Roche (didrocks)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package metacity - 1:2.28.0-2ubuntu5

---------------
metacity (1:2.28.0-2ubuntu5) lucid; urgency=low

  * debian/patches/10_no-ws-switcher.patch:
    - Don't show the ws switcher if we only have one ws. (LP: #506944)
  * debian/control:
    - bump Standards-Version
 -- Didier Roche <email address hidden> Wed, 10 Feb 2010 10:54:40 +0100

Changed in metacity (Ubuntu):
status: In Progress → Fix Released
Changed in metacity:
importance: Unknown → Medium
status: Unknown → New
Changed in mutter:
importance: Unknown → Wishlist
status: Unknown → New
Changed in metacity:
status: New → Fix Released
Changed in mutter:
status: New → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.